Module | Sequel::DataObjects
In: | lib/sequel/adapters/do.rb lib/sequel/adapters/do/mysql.rb lib/sequel/adapters/do/postgres.rb lib/sequel/adapters/do/sqlite.rb

Module holding the DataObjects support for Sequel. DataObjects is a ruby library with a standard API for accessing databases.

The DataObjects adapter currently supports PostgreSQL, MySQL, and SQLite:

- Sequel.connect(‘do:sqlite3::memory:’)
- Sequel.connect(‘do:postgres://user:password@host/database’)
- Sequel.connect(‘do:mysql://user:password@host/database’)

### Classes and Modules

Module Sequel::DataObjects::MySQL
Module Sequel::DataObjects::Postgres
Module Sequel::DataObjects::SQLite

### Constants

DATABASE_SETUP | = | {:postgres=>proc do |db| Sequel.tsk_require 'do_postgres' |  | Contains procs keyed on sub adapter type that extend the given database object so it supports the correct database type.

[Validate]